Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.changesets
Interface SDKOrderedCollectionChangeRecord

All Superinterfaces:
  ChangeRecord

Deprecated. since OracleAS TopLink 10g (10.1.3).

public interface SDKOrderedCollectionChangeRecord
extends ChangeRecord

Purpose: To provide API into the SDKCollectionChangeSet.

Description: Capture the changes for an ordered collection where the entire collection is simply replaced if it has changed.

See Also:
  `SDKAggregateCollectionMapping`, `SDKObjectCollectionMapping`, `SDKDirectCollectionMapping`

Method Summary
`int[]` | `getAddIndexes()` Deprecated. ADVANCED: Return the indexes into the new collection of the elements that were added.
`java.util.Vector` | `getAdds()` Deprecated. ADVANCED: Return the entries for all the elements added to the new collection.
`int[][]` | `getMoveIndexes()` Deprecated. use #getMoveIndexPairs()
`int[][]` | `getMoveIndexPairs()` Deprecated. ADVANCED: ADVANCED: Return the indexes of the elements that were simply moved within the collection.
`java.util.Vector` | `getMoves()` Deprecated. ADVANCED: Return the entries for all the elements that were simply shuffled within the collection.
`java.util.Vector` | `getNewCollection()` Deprecated. ADVANCED: Return the entries for all the elements in the new collection.
`int[]` | `getRemoveIndexes()` Deprecated. ADVANCED: Return the indexes into the old collection of the elements that were removed.
`java.util.Vector` | `getRemoves()` Deprecated. ADVANCED: Return the entries for all the elements removed from the old collection.
`boolean` | `hasChanges()` Deprecated. ADVANCED: Return whether any changes have been recorded with the change record.

Methods inherited from interface oracle.toplink.changesets.ChangeRecord
`getAttribute, getOwner`

Method Detail

### getAddIndexes

    public int[] getAddIndexes()

  Deprecated.
  ADVANCED: Return the indexes into the new collection of the elements that were added.

### getAdds

    public java.util.Vector getAdds()

  Deprecated.
  ADVANCED: Return the entries for all the elements added to the new collection. The contents of this collection is determined by the mapping that populated it:
  - SDKAggregateCollectionMapping will store ObjectChangeSets
  - SDKDirectCollectionMapping will store the direct elements themselves
  - SDKObjectCollectionMapping will store the foreign keys

### getMoveIndexes

    public int[][] getMoveIndexes()

  Deprecated. use #getMoveIndexPairs()
  OBSOLETE:
  See Also:
    `getMoveIndexPairs()`

### getMoveIndexPairs

    public int[][] getMoveIndexPairs()

  Deprecated.
  ADVANCED: ADVANCED: Return the indexes of the elements that were simply moved within the collection. Each element in the outer array is another two-element array where the first entry [0] is the index of the object in the old collection and the second entry [1] is the index of the object in the new collection. These two indexes can be equal.

### getMoves

    public java.util.Vector getMoves()

  Deprecated.
  ADVANCED: Return the entries for all the elements that were simply shuffled within the collection. The contents of this collection is determined by the mapping that populated it:
  - SDKAggregateCollectionMapping will store ObjectChangeSets
  - SDKDirectCollectionMapping will store the direct elements themselves
  - SDKObjectCollectionMapping will store the foreign keys

### getNewCollection

    public java.util.Vector getNewCollection()

  Deprecated.
  ADVANCED: Return the entries for all the elements in the new collection. The contents of this collection is determined by the mapping that populated it:
  - SDKAggregateCollectionMapping will store ObjectChangeSets
  - SDKDirectCollectionMapping will store the direct elements themselves
  - SDKObjectCollectionMapping will store the foreign keys

### getRemoveIndexes

    public int[] getRemoveIndexes()

  Deprecated.
  ADVANCED: Return the indexes into the old collection of the elements that were removed.

### getRemoves

    public java.util.Vector getRemoves()

  Deprecated.
  ADVANCED: Return the entries for all the elements removed from the old collection. The contents of this collection is determined by the mapping that populated it:
  - SDKAggregateCollectionMapping will store ObjectChangeSets
  - SDKDirectCollectionMapping will store the direct elements themselves
  - SDKObjectCollectionMapping will store the foreign keys

### hasChanges

    public boolean hasChanges()

  Deprecated.
  ADVANCED: Return whether any changes have been recorded with the change record.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD